Package io.vertx.reactivex.sqlclient

## Class PreparedQuery<T>

- java.lang.Object
- - io.vertx.reactivex.sqlclient.Query<T>
  - - io.vertx.reactivex.sqlclient.PreparedQuery<T>

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class PreparedQuery<T>
      extends Query<T>
      implements io.vertx.lang.rx.RxDelegate

  A query for a prepared statement allowing parameterized execution of the query, this query will use a prepared statement.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<PreparedQuery>` | `__TYPE_ARG` |
    `io.vertx.lang.rx.TypeArg<T>` | `__typeArg_0` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PreparedQuery​(PreparedQuery delegate)` |
    `PreparedQuery​(Object delegate, io.vertx.lang.rx.TypeArg<T> typeArg_0)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `Future<T>` | `execute()` | Execute the query.
    `Future<T>` | `execute​(Tuple tuple)` | Execute the query.
    `Future<T>` | `executeBatch​(List<Tuple> batch)` | Execute the query with a batch of tuples.
    `PreparedQuery` | `getDelegate()` |
    `int` | `hashCode()` |
    `<U> PreparedQuery<RowSet<U>>` | `mapping​(Function<Row,​U> mapper)` | Use the specified `mapper` for mapping `Row` to ``.
    `static <T> PreparedQuery<T>` | `newInstance​(PreparedQuery arg)` |
    `static <T> PreparedQuery<T>` | `newInstance​(PreparedQuery arg, io.vertx.lang.rx.TypeArg<T> __typeArg_T)` |
    `Single<T>` | `rxExecute()` | Execute the query.
    `Single<T>` | `rxExecute​(Tuple tuple)` | Execute the query.
    `Single<T>` | `rxExecuteBatch​(List<Tuple> batch)` | Execute the query with a batch of tuples.
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.Query

      `newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PreparedQuery> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<T> __typeArg_0

  - ### Constructor Detail

    - #### PreparedQuery

          public PreparedQuery​(PreparedQuery delegate)

    - #### PreparedQuery

          public PreparedQuery​(Object delegate,
                               io.vertx.lang.rx.TypeArg<T> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Query<T>`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Query<T>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Query<T>`

    - #### getDelegate

          public PreparedQuery getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `Query<T>`

    - #### execute

          public Future<T> execute()

      Execute the query.
      Overrides:
        `execute` in class `Query<T>`
      Returns:
        a future notified with the result

    - #### rxExecute

          public Single<T> rxExecute()

      Execute the query.
      Overrides:
        `rxExecute` in class `Query<T>`
      Returns:
        a future notified with the result

    - #### execute

          public Future<T> execute​(Tuple tuple)

      Execute the query.
      Parameters:
        `tuple` -
      Returns:
        a future notified with the result

    - #### rxExecute

          public Single<T> rxExecute​(Tuple tuple)

      Execute the query.
      Parameters:
        `tuple` -
      Returns:
        a future notified with the result

    - #### executeBatch

          public Future<T> executeBatch​(List<Tuple> batch)

      Execute the query with a batch of tuples.
      Parameters:
        `batch` - the batch of tuples
      Returns:
        a future notified with the result

    - #### rxExecuteBatch

          public Single<T> rxExecuteBatch​(List<Tuple> batch)

      Execute the query with a batch of tuples.
      Parameters:
        `batch` - the batch of tuples
      Returns:
        a future notified with the result

    - #### mapping

          public <U> PreparedQuery<RowSet<U>> mapping​(Function<Row,​U> mapper)

      Use the specified `mapper` for mapping `Row` to ``.
      Overrides:
        `mapping` in class `Query<T>`
      Parameters:
        `mapper` -
      Returns:

    - #### newInstance

          public static <T> PreparedQuery<T> newInstance​(PreparedQuery arg)

    - #### newInstance

          public static <T> PreparedQuery<T> newInstance​(PreparedQuery arg,
                                                         io.vertx.lang.rx.TypeArg<T> __typeArg_T)